%global pypi_name jupyter_packaging

Summary:        Tools to help build and install Jupyter Python packages
Name:           python-jupyter-packaging
Version:        0.12.3
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            https://github.com/jupyter/jupyter-packaging
Source0:        %{pypi_source}
BuildArch:      noarch

%global _description %{expand:
This package contains utilities for making Python packages with and without
accompanying JavaScript packages.}

%description %_description

%package -n python3-jupyter-packaging
Summary:        Tools to help build and install Jupyter Python packages
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description -n python3-jupyter-packaging %_description

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
sed -Ei 's/"(coverage|pre-commit|pytest-cov)",//g' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# bypass due to https://github.com/jupyter/jupyter-packaging/issues/63
%pytest -k "\
not test_build_package and \
not test_create_cmdclass and \
not test_deprecated_metadata and \
not test_develop and \
not test_install and \
not test_install_hybrid and \
not test_run \
" \
-W "ignore:pkg_resources is deprecated as an API:DeprecationWarning"

%files -n python3-jupyter-packaging -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Wed Jun 12 2024 Shuo Wang <abushwang@tencent.com> - 0.12.3-1
- initial build
